<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="BuildWebCompiler" Version="1.12.405" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.0">
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
			<PrivateAssets>all</PrivateAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.0">
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		  <PrivateAssets>all</PrivateAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="8.0.0" />
		<PackageReference Include="System.Management" Version="8.0.0" />
	</ItemGroup>

	<ItemGroup>
		<Content Include="node_modules\bootstrap\dist\css\bootstrap.min.css" />
		<Content Include="node_modules/bootstrap-icons/font/bootstrap-icons.scss" />
		<Content Include="node_modules/jquery/dist/jquery.min.js" />
		<Content Include="node_modules/jquery-validation/dist/jquery.validate.min.js" />
		<Content Include="node_modules/jquery-validation/dist/additional-methods.min.js" />
		<Content Include="node_modules/bootstrap/dist/js/bootstrap.bundle.min.js" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Models\Board\Comment\" />
	  <Folder Include="Models\Board\Post\" />
	</ItemGroup>
</Project>
